[
    {
      "category_name": "建築",
      "category_code": "Architecture",
      "children": [
          {
            "component_name": "一般模型",
            "component_code": "GeneralModels"
          },
          {
            "component_name": "停車場",
            "component_code": "Parking"
          },
          {
            "component_name": "家具",
            "component_code": "Furniture"
          },
          {
            "component_name": "家具系統",
            "component_code": "FurnitureSystem"
          },
          {
            "component_name": "敷地",
            "component_code": "Site"
          },
          {
            "component_name": "柱",
            "component_code": "Columns"
          },
          {
            "component_name": "植栽",
            "component_code": "Planting"
          },
          {
            "component_name": "機械設備",
            "component_code": "MechanicalEquipment"
          },
          {
            "component_name": "櫥櫃",
            "component_code": "Casework"
          },
          {
            "component_name": "欄杆扶手",
            "component_code": "Railings"
          },
          {
            "component_name": "燈具",
            "component_code": "LightingFixtures"
          },
          {
            "component_name": "特製設備",
            "component_code": "SpecialtyEquipment"
          },
          {
            "component_name": "窗",
            "component_code": "Windows"
          },
          {
            "component_name": "結構襯料",
            "component_code": "StructuralStiffeners"
          },
          {
            "component_name": "結構基礎",
            "component_code": "StructuralFoundations"
          },
          {
            "component_name": "結構接頭",
            "component_code": "StructuralConnections"
          },
          {
            "component_name": "結構柱",
            "component_code": "StructuralColumns"
          },
          {
            "component_name": "結構構架",
            "component_code": "StructuralFraming"
          },
          {
            "component_name": "衛工裝置",
            "component_code": "PlumbingFixtures"
          },
          {
            "component_name": "量體",
            "component_code": "Mass"
          },
          {
            "component_name": "門",
            "component_code": "Doors"
          },
          {
            "component_name": "電氣裝置",
            "component_code": "ElectricalEquipment"
          },
          {
            "component_name": "電氣設備",
            "component_code": "ElectricalFixtures"
          },
          {
            "component_name": "點景",
            "component_code": "Entourage"
          }
      ]
    },
    {
        "category_name": "結構",
        "category_code": "Structure",
        "children": [
            {
              "component_name": "一般模型",
              "component_code": "GeneralModels"
            },
            {
              "component_name": "柱",
              "component_code": "Columns"
            },
            {
              "component_name": "結構襯料",
              "component_code": "StructuralStiffeners"
            },
            {
              "component_name": "結構基礎",
              "component_code": "StructuralFoundations"
            },
            {
              "component_name": "結構接頭",
              "component_code": "StructuralConnections"
            },
            {
              "component_name": "結構柱",
              "component_code": "StructuralColumns"
            },
            {
              "component_name": "結構構架",
              "component_code": "StructuralFraming"
            },
            {
              "component_name": "量體",
              "component_code": "Mass"
            }
        ]
      },
      {
        "category_name": "機械",
        "category_code": "Mechanical",
        "children": [
            {
              "component_name": "一般模型",
              "component_code": "GeneralModels"
            },
            {
              "component_name": "機械設備",
              "component_code": "MechanicalEquipment"
            },
            {
              "component_name": "進回風口",
              "component_code": "AirTerminals"
            },
            {
              "component_name": "量體",
              "component_code": "Mass"
            },
            {
              "component_name": "風管配件",
              "component_code": "DuctFittings"
            },
            {
              "component_name": "風管附件",
              "component_code": "DuctAccessories"
            }
        ]
      },
      {
        "category_name": "電氣",
        "category_code": "Electrical",
        "children": [
            {
              "component_name": "一般模型",
              "component_code": "GeneralModels"
            },
            {
              "component_name": "急救裝置",
              "component_code": "NurseCallDevices"
            },
            {
              "component_name": "火警裝置",
              "component_code": "FireAlarmDevices"
            },
            {
              "component_name": "照明裝置",
              "component_code": "LightingDevices"
            },
            {
              "component_name": "燈具",
              "component_code": "LightingFixtures"
            },
            {
              "component_name": "資料裝置",
              "component_code": "DataDevices"
            },
            {
              "component_name": "通信裝置",
              "component_code": "CommunicationDevices"
            },
            {
              "component_name": "量體",
              "component_code": "Mass"
            },
            {
              "component_name": "門禁裝置",
              "component_code": "SecurityDevices"
            },
            {
              "component_name": "電氣裝置",
              "component_code": "ElectricalEquipment"
            },
            {
              "component_name": "電氣設備",
              "component_code": "ElectricalFixtures"
            },
            {
              "component_name": "電管配件",
              "component_code": "ConduitFittings"
            },
            {
              "component_name": "電纜架配件",
              "component_code": "CableTrayFittings"
            },
            {
              "component_name": "電話裝置",
              "component_code": "TelephoneDevices"
            },
            {
              "component_name": "衛工裝置",
              "component_code": "PlumbingFixtures"
            }
        ]
      },
      {
        "category_name": "配管",
        "category_code": "Piping",
        "children": [
            {
              "component_name": "一般模型",
              "component_code": "GeneralModels"
            },
            {
              "component_name": "撒水頭",
              "component_code": "Sprinklers"
            },
            {
              "component_name": "機械設備",
              "component_code": "MechanicalEquipment"
            },
            {
              "component_name": "管配件",
              "component_code": "PipeFittings"
            },
            {
              "component_name": "管附件",
              "component_code": "PipeAccessories"
            },
            {
              "component_name": "衛工裝置",
              "component_code": "PlumbingFixtures"
            },
            {
              "component_name": "量體",
              "component_code": "Mass"
            }
        ]
      }
  ]